Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Creation_Strategy< SVC_HANDLER > Class Template Reference

Creates a Svc_Handler and set the ORB_Core pointer on it. More...

`#include <Acceptor_Impl.h>`

Inheritance diagram for TAO_Creation_Strategy< SVC_HANDLER >:

[legend]
Collaboration diagram for TAO_Creation_Strategy< SVC_HANDLER >:

[legend]
List of all members.

## Public Methods
| TAO_Creation_Strategy (TAO_ORB_Core *orb_core, void *arg=0, CORBA::Boolean flag=0)
int | make_svc_handler (SVC_HANDLER *&sh)
| Create a SVC_HANDLER and set the ORB_Core pointer on it.
## Protected Attributes
TAO_ORB_Core * | orb_core_
| Pointer to the ORB Core.
void * | arg_
| Some info/state to be passed to the service handler we create.
CORBA::Boolean | lite_flag_
| Should we use the Lite version for any protocol?

## Detailed Description

### template<class SVC_HANDLER>
class TAO_Creation_Strategy< SVC_HANDLER >

Creates a Svc_Handler and set the ORB_Core pointer on it.

## Constructor & Destructor Documentation

template<class SVC_HANDLER>
TAO_Creation_Strategy< SVC_HANDLER >::TAO_Creation_Strategy | ( | TAO_ORB_Core * | orb_core,
|  | void * | arg = 0,
|  | CORBA::Boolean | flag = 0
| ) |

| Constructor. <arg> parameter is used to pass any special state/info to the service handler upon creation. Currently used by IIOP and UIOP to pass protocol configuration properties.

## Member Function Documentation

template<class SVC_HANDLER>
int TAO_Creation_Strategy< SVC_HANDLER >::make_svc_handler | ( | SVC_HANDLER *& | sh | ) | `[virtual]`

| Create a SVC_HANDLER and set the ORB_Core pointer on it. Reimplemented from ACE_Creation_Strategy< SVC_HANDLER >.

## Member Data Documentation

template<class SVC_HANDLER>
void* TAO_Creation_Strategy< SVC_HANDLER >::arg_`[protected]`

| Some info/state to be passed to the service handler we create.

template<class SVC_HANDLER>
CORBA::Boolean TAO_Creation_Strategy< SVC_HANDLER >::lite_flag_`[protected]`

| Should we use the Lite version for any protocol?

template<class SVC_HANDLER>
TAO_ORB_Core* TAO_Creation_Strategy< SVC_HANDLER >::orb_core_`[protected]`

| Pointer to the ORB Core.

The documentation for this class was generated from the following files:

- Acceptor_Impl.h
- Acceptor_Impl.cpp